namespace PerpetuumSoft.Widgets
{
    using System;
    using System.ComponentModel;
    using System.Diagnostics;
    using System.Drawing;
    using System.Resources;
    using System.Windows.Forms;

    internal class AboutForm : Form
    {
        private Button button1;
        private Container components = null;
        private Label label1;
        private Label label2;
        public static string labelText = "";
        private LinkLabel linkLabel1;
        private PictureBox pictureBox1;

        public AboutForm()
        {
            this.InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            base.Close();
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing && (this.components != null))
            {
                this.components.Dispose();
            }
            base.Dispose(disposing);
        }

        private void InitializeComponent()
        {
            ResourceManager manager = new ResourceManager(typeof(AboutForm));
            this.pictureBox1 = new PictureBox();
            this.label1 = new Label();
            this.button1 = new Button();
            this.label2 = new Label();
            this.linkLabel1 = new LinkLabel();
            base.SuspendLayout();
            this.pictureBox1.Image = (Image) manager.GetObject("pictureBox1.Image");
            this.pictureBox1.Location = new Point(0, 0);
            this.pictureBox1.Name = "pictureBox1";
            this.pictureBox1.Size = new Size(0x170, 0x110);
            this.pictureBox1.TabIndex = 0;
            this.pictureBox1.TabStop = false;
            this.label1.set_AutoSize(true);
            this.label1.Font = new Font("Microsoft Sans Serif", 8.25f, FontStyle.Bold, (GraphicsUnit) 3, 0xcc);
            this.label1.Location = new Point(0x54, 12);
            this.label1.Name = "label1";
            this.label1.Size = new Size(0x97, 0x10);
            this.label1.TabIndex = 2;
            this.label1.Text = "Instrumentation Widgets 3.0";
            this.button1.set_FlatStyle(3);
            this.button1.Location = new Point(0x70, 0x4c);
            this.button1.Name = "button1";
            this.button1.Size = new Size(80, 0x18);
            this.button1.TabIndex = 9;
            this.button1.Text = "OK";
            this.button1.Click += new EventHandler(this.button1_Click);
            this.label2.set_AutoSize(true);
            this.label2.Location = new Point(0x4c, 0x20);
            this.label2.Name = "label2";
            this.label2.Size = new Size(0xb5, 0x10);
            this.label2.TabIndex = 10;
            this.label2.Text = "(c) 2002-2006 Perpetuum Software";
            this.linkLabel1.set_FlatStyle(3);
            this.linkLabel1.Location = new Point(40, 0x30);
            this.linkLabel1.Name = "linkLabel1";
            this.linkLabel1.Size = new Size(0xf4, 12);
            this.linkLabel1.TabIndex = 11;
            this.linkLabel1.TabStop = true;
            this.linkLabel1.Text = "http://www.PerpetuumSoft.com";
            this.linkLabel1.TextAlign = (ContentAlignment) 0x20;
            this.linkLabel1.add_LinkClicked(new LinkLabelLinkClickedEventHandler(this, (IntPtr) this.linkLabel1_LinkClicked));
            this.set_AutoScaleBaseSize(new Size(5, 13));
            this.BackColor = Color.White;
            base.set_CancelButton((IButtonControl) this.linkLabel1);
            base.ClientSize = new Size(0x16e, 0x10f);
            base.ControlBox = false;
            base.Controls.Add(this.linkLabel1);
            base.Controls.Add(this.label2);
            base.Controls.Add(this.button1);
            base.Controls.Add(this.label1);
            base.Controls.Add(this.pictureBox1);
            base.FormBorderStyle = FormBorderStyle.FixedDialog;
            base.MaximizeBox = false;
            base.MinimizeBox = false;
            base.Name = "AboutForm";
            base.set_ShowInTaskbar(false);
            base.set_StartPosition(1);
            this.Text = "About";
            base.ResumeLayout(false);
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            Process.Start(this.linkLabel1.Text);
        }
    }
}
